- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TIbmScaffoldInput
TMssqlScaffoldInput
TMysqlScaffoldInput
TPgsqlScaffoldInput
TScaffoldInputBase
TScaffoldInputCommon
TSqliteScaffoldInput

Keyword

# Class TScaffoldInputCommon

    TScaffoldInputBase
       |
       --TScaffoldInputCommon

#### Direct Known Sub-classes:

TSqliteScaffoldInput , TIbmScaffoldInput , TMysqlScaffoldInput , TMssqlScaffoldInput , TPgsqlScaffoldInput

TScaffoldInputCommon class file.

License: http://www.pradosoft.com/license/
Copyright: Copyright &copy; 2005-2008 PradoSoft
Link: http://www.pradosoft.com/

Constants Inherited From TScaffoldInputBase
DEFAULT_ID,

Method Summary
protected void | createBooleanControl ( mixed $container, mixed $column, mixed $record)
protected void | createDateControl ( mixed $container, mixed $column, mixed $record)
protected void | createDateTimeControl ( mixed $container, mixed $column, mixed $record)
protected void | createDefaultControl ( mixed $container, mixed $column, mixed $record)
protected void | createEnumControl ( mixed $container, mixed $column, mixed $record)
protected void | createFloatControl ( mixed $container, mixed $column, mixed $record)
protected void | createIntegerControl ( mixed $container, mixed $column, mixed $record)
protected void | createMultiLineControl ( mixed $container, mixed $column, mixed $record)
protected void | createRangeValidator ( mixed $container, mixed $column, mixed $record)
protected void | createRequiredValidator ( mixed $container, mixed $column, mixed $record)
protected void | createSetControl ( mixed $container, mixed $column, mixed $record)
protected void | createTimeControl ( mixed $container, mixed $column, mixed $record)
protected void | createTypeValidator ( mixed $container, mixed $column, mixed $record)
protected void | createYearControl ( mixed $container, mixed $column, mixed $record)
protected void | getDateTimeValue ( mixed $container, mixed $column, mixed $record)
protected void | getDefaultControlValue ( mixed $container, mixed $column, mixed $record)
protected void | getEnumValue ( mixed $container, mixed $column, mixed $record)
protected void | getMatchingIndices ( mixed $checks, mixed $values)
protected void | getSetValue ( mixed $container, mixed $column, mixed $record)
protected void | getTimeValue ( mixed $container, mixed $column, mixed $record)
protected void | setDefaultProperty ( mixed $container, mixed $control, mixed $column, mixed $record)
protected void | setNotNullProperty ( mixed $container, mixed $control, mixed $column, mixed $record)

Methods Inherited From TScaffoldInputBase

TScaffoldInputBase::createControl(), TScaffoldInputBase::createControlLabel(), TScaffoldInputBase::createInputBuilder(), TScaffoldInputBase::createScaffoldInput(), TScaffoldInputBase::getControlValue(), TScaffoldInputBase::getIsEnabled(), TScaffoldInputBase::getParent(), TScaffoldInputBase::getRecordPropertyValue(), TScaffoldInputBase::loadScaffoldInput(), TScaffoldInputBase::setRecordPropertyValue()

Constant Summary

Method Details

## createBooleanControl

protected void createBooleanControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createDateControl

protected void createDateControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createDateTimeControl

protected void createDateTimeControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createDefaultControl

protected void createDefaultControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createEnumControl

protected void createEnumControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createFloatControl

protected void createFloatControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createIntegerControl

protected void createIntegerControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createMultiLineControl

protected void createMultiLineControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createRangeValidator

protected void createRangeValidator | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createRequiredValidator

protected void createRequiredValidator | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createSetControl

protected void createSetControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createTimeControl

protected void createTimeControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createTypeValidator

protected void createTypeValidator | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createYearControl

protected void createYearControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getDateTimeValue

protected void getDateTimeValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getDefaultControlValue

protected void getDefaultControlValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getEnumValue

protected void getEnumValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getMatchingIndices

protected void getMatchingIndices | (mixed $checks , mixed $values )

Input
mixed | $checks |
mixed | $values |
Output
Exception

## getSetValue

protected void getSetValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getTimeValue

protected void getTimeValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## setDefaultProperty

protected void setDefaultProperty | (mixed $container , mixed $control , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $control |
mixed | $column |
mixed | $record |
Output
Exception

## setNotNullProperty

protected void setNotNullProperty | (mixed $container , mixed $control , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $control |
mixed | $column |
mixed | $record |
Output
Exception